document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_2100 | ---
+++
@@ -1,4 +1,12 @@
#!/bin/sh
+if [[ -z "$GUNICORN_WORKERS" ]] ; then
+ GUNICORN_WORKERS=4
+fi
+
+if [[ -z "$REGISTRY_PORT" ]] ; then
+ REGISTRY_PORT=5000
+fi
+
cd "$(dirname $0)"
-gunicorn --access-logfile - --debug --max-requests 100 --graceful-timeout 3600 -t 3600 -k gevent -b 0.0.0.0:5000 -w 4 wsgi... | bash |
d_bash_2101 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-# Vagrant shell box provisioning script for FeedGuild project.
+# Vagrant shell box provisioning script for Scripnix project.
# Don't re-provision the box.
if [[ -f /var/vagrant-provisioned ]] ; then
@@ -23,4 +23,11 @@
echo "America/Whitehorse" >/etc/timezone
dpkg... | bash |
d_bash_2102 | ---
+++
@@ -10,8 +10,7 @@
FLAGS="-std=c++11"
fi
-if test "${PY3K}" = "1"
-then
+if [[ $PY3K -eq 1 || $PY3K == "True" ]]; then
BUILD_PYTHON="-DBUILD_PYTHON_INTERFACE=ON"
else
BUILD_PYTHON="-DBUILD_PYTHON2_INTERFACE=ON" | bash |
d_bash_2103 | ---
+++
@@ -2,4 +2,4 @@
wget -q https://github.com/php/php-src/archive/php-$VERSION.tar.gz
mkdir -p ./data/php-src
tar -xzf ./php-$VERSION.tar.gz -C ./data/php-src --strip-components=1
-php -n test_old/run.php --verbose --no-progress --php-version=$VERSION PHP ./data/php-src
+php test_old/run.php --verbose --no-pr... | bash |
d_bash_2104 | ---
+++
@@ -3,6 +3,9 @@
# Create new deployment root for a Mifos Hudson build job. Uses a war built off
# the trunk and deploys into an instance configured for a different language.
+
+# 1. create location in scm (resources/continuous-integration in "head" repo)
+# 2. run this as user "hudson" on birch
deployN... | bash |
d_bash_2105 | ---
+++
@@ -6,6 +6,7 @@
rm -rf /tmp/miniflux /tmp/miniflux-*.zip 2>/dev/null
git clone git@github.com:fguillot/miniflux.git
rm -rf miniflux/data/*.sqlite miniflux/.git miniflux/.gitignore miniflux/scripts miniflux/examples
+find miniflux -name *.less -delete
sed -i.bak s/master/$VERSION/g miniflux/common.php && r... | bash |
d_bash_2106 | ---
+++
@@ -1,25 +1,14 @@
#!/bin/bash
-# Bug: https://tickets.puppetlabs.com/browse/CPR-75
-#wget --no-check-certificate \
-# 'http://apt.puppetlabs.com/puppetlabs-release-testing.deb' \
-# -O /tmp/puppetlabs-release-testing.deb
-#dpkg -i /tmp/puppetlabs-release-testing.deb
-
-wget --quiet -O - http://apt.pu... | bash |
d_bash_2107 | ---
+++
@@ -12,7 +12,7 @@
commands="$(cat "$path")"
id="$(basename "$path" | cut -d '.' -f 1)"
- lock_key="queued_command.$id"
+ lock_key="queued_commands.$(basename "$path")"
try_lock_until_success "$lock_key"
log '==============================================================' | bash |
d_bash_2108 | ---
+++
@@ -4,7 +4,7 @@
host=$(hostname)
mailq_count=`/usr/bin/mailq | wc -l`
if [ $mailq_count -gt 60 ]; then
- echo "Mail messages stuck in the queue on ${host}: $[$x/6]"
+ echo "Mail messages stuck in the queue on ${host}: ${mailq_count}"
exit 1
fi
exit 0 | bash |
d_bash_2109 | ---
+++
@@ -38,6 +38,8 @@
echo "No changes to scaffold ${D}"
continue
fi
+ # Add current hash into index.yml
+ echo "git_hash: ${CURRENT_HASH}" >> foo
cd $D
npm install
npm run build | bash |
d_bash_2110 | ---
+++
@@ -1,10 +1,12 @@
#!/bin/bash
+
+V8_VERSION=3.31.74.1
tar cvzf precompiled-libraries.tar.gz \
.v8-build-64 \
- 3rdParty/V8-3.29.59/include \
- 3rdParty/V8-3.29.59/out/x64.release/obj.target/tools/gyp \
- 3rdParty/V8-3.29.59/third_party/icu/source/common \
- 3rdParty/V8-3.29.59/third_party/icu/sourc... | bash |
d_bash_2111 | ---
+++
@@ -12,7 +12,7 @@
echo "https://github.com/bell-sw/Liberica/releases/download/17.0.3.1+2/bellsoft-jdk17.0.3.1+2-linux-amd64.tar.gz"
;;
java18)
- echo "https://github.com/adoptium/temurin18-binaries/releases/download/jdk-18.0.1%2B10/OpenJDK18U-jdk_x64_linux_hotspot_18.0.1_10.tar.gz"
+ echo "https://gi... | bash |
d_bash_2112 | ---
+++
@@ -4,6 +4,11 @@
# stop machines irrespective of currently running or not, irrespective of node exists or not
# since the error messages are redirected to /dev/null
+
+if [ "$#" -eq 1 ]; then
+ export AWS_NODE_NAME="$1"
+fi
+
echo "[$AWS_NODE_NAME] - stopping node..."
docker-machine stop "$AWS_NODE_NA... | bash |
d_bash_2113 | ---
+++
@@ -1,9 +1,41 @@
#!/bin/sh
#
-# Create sphinx api docs.
+# Create API documentation using Sphinx:
+#
+# http://sphinx-doc.org/
+#
+# If the $BROWSER environment variable is set then the script will use
+# that to open the documentation locally. If the variable does not
+# exist then the script falls ba... | bash |
d_bash_2114 | ---
+++
@@ -4,12 +4,15 @@
STDERR="./test/stderr"
STDOUT="./test/stdout"
-function test_no_reinstall_when_ruby_executable_exists()
+function setUp()
{
mkdir -p "$INSTALL_DIR/bin"
touch -m "$INSTALL_DIR/bin/ruby"
chmod +x "$INSTALL_DIR/bin/ruby"
+}
+function test_no_reinstall_when_ruby_executable_exists()
... | bash |
d_bash_2115 | ---
+++
@@ -4,6 +4,6 @@
dir="$(readlink -f "$(dirname "$BASH_SOURCE")")"
inContainerPath="/tmp/haskell"
-cmd=( "$inContainerPath/container.rb" )
+cmd=( "$inContainerPath/container.hs" )
docker run --rm -v "$dir":"$inContainerPath":ro -w "$inContainerPath" --entrypoint runhaskell "$1" "${cmd[@]}" | bash |
d_bash_2116 | ---
+++
@@ -5,6 +5,10 @@
export COMMON="centos7"
export PACKAGE_TYPE="rpm"
+if [[ "${UPSTREAM_PROJECT}" == "rundeckpro" ]] ; then
+ export PACKAGING_DIR_PARENT="rundeck/"
+fi
+
. "$LDIR/test-docker-install-common.sh"
build | bash |
d_bash_2117 | ---
+++
@@ -1,3 +1,3 @@
#/bin/bash
-
+# Find all files with a php file extension and run php lint on them.
find src -type f -name '*.php' -exec php -l {} \; | bash |
d_bash_2118 | ---
+++
@@ -1,25 +1,21 @@
#!/bin/bash
-function travis_retry() {
- $Local:result = 0
- $Local:count = 1
- $Local:cmd_string = $args -join ' '
+travis_retry() {
+ local result=0
+ local count=1
+ while [ $count -le 3 ]; do
+ [ $result -ne 0 ] && {
+ echo -e "\n${RED}The command \"$@\" failed. Retryin... | bash |
d_bash_2119 | ---
+++
@@ -1,7 +1,5 @@
#!/bin/bash
set -e
-
-source $(dirname $0)/common.sh
version=$( cat version/version )
| bash |
d_bash_2120 | ---
+++
@@ -9,4 +9,4 @@
cf login -a $CF_API -u $CF_USERNAME -p $CF_PASSWORD -o $CF_ORG -s $CF_SPACE
# Deploy the app
-cf push
+cf push gotgastro | bash |
d_bash_2121 | ---
+++
@@ -7,7 +7,7 @@
pkg_upstream_url="https://github.com/wal-e/wal-e"
pkg_source=https://github.com/wal-e/wal-e/archive/v${pkg_version}.tar.gz
pkg_shasum=f3bd4171917656fef3829c9d993684d26c86eef0038ac3da7f12bae9122c6fc3
-pkg_deps=(core/envdir core/python)
+pkg_deps=(starkandwayne/envdir core/python)
pkg_bin_di... | bash |
d_bash_2122 | ---
+++
@@ -1,12 +1,4 @@
#!/usr/bin/env bash
set -exu
-echo '#nojekyll' > doc/.nojekyll
-
-for i in doc/* # iterate over all files in current dir
-do
- if [ -d "$i" ] # if it's a directory
- then
- echo '#nojekyll' > "$i/.nojekyll"
- fi
-done
+echo '#nojekyll' > .nojekyll | bash |
d_bash_2123 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/bash
-php app/console doctrine:database:drop --force && php app/console doctrine:database:create && php app/console doctrine:schema:create && echo "Y"|php app/console doctrine:fixtures:load
+php bin/console doctrine:database:drop --force && php bin/console doctrine:database:create && p... | bash |
d_bash_2124 | ---
+++
@@ -1,4 +1,5 @@
#!/usr/bin/env bash
-# Fixes a yarn bug: https://github.com/yarnpkg/yarn/issues/685
+# Workaround for a yarn bug: https://github.com/yarnpkg/yarn/issues/685
+echo "Removing duplicate node_modules, workaround for yarn bug."
rm -rf ../node_modules/react-native-fast-image/node_modules | bash |
d_bash_2125 | ---
+++
@@ -1,4 +1,11 @@
#!/bin/bash
+
+# Quick fix to enable vbguest on VirtualBox 4.3.10
+# See https://github.com/mitchellh/vagrant/issues/3341
+if [ ! -e /usr/lib/VBoxGuestAdditions ]; then
+ sudo ln -s /opt/VBoxGuestAdditions-4.3.10/lib/VBoxGuestAdditions \
+ /usr/lib/VBoxGuestAdditions || true
+fi
sudo a... | bash |
d_bash_2126 | ---
+++
@@ -1,2 +1,4 @@
-cd unit_test &&
-rm -rf cmake_build_clang_3_8 cmake_build_default_clang cmake_build_default_gcc cmake_build_gcc_4_9
+#!/usr/bin/env sh
+set -e
+cd unit_test
+rm -rf cmake_build_clang cmake_build_gcc | bash |
d_bash_2127 | ---
+++
@@ -15,9 +15,11 @@
rev=$(git rev-parse --short HEAD)
-./gradlew graphviz uberJar
+./gradlew graphviz uberJar javadoc
mkdir -p output/build/libs
mv build/libs/*.jar output/build/libs
+mkdir -p output/build/javadoc
+mv build/docs/javadoc/* output/build/javadoc
cd output
@@ -32,5 +34,5 @@
# echo "sy... | bash |
d_bash_2128 | ---
+++
@@ -1,5 +1,11 @@
#!/bin/bash
LIBS="/usr/share/tigase-server/lib /usr/share/openfire/lib"
+
+# Locale check
+if ! locale | grep -iq '^LC_CTYPE=.*\.utf8.\?$'; then
+ echo "You need to set UTF8 based locale first" >&2; exit 1
+fi
+
for DIR in $LIBS; do CLASSPATH="`ls -d $DIR/*.jar 2>/dev/null | grep -v groovy... | bash |
d_bash_2129 | ---
+++
@@ -1,5 +1,7 @@
#!/bin/bash
# called by Travis CI
+
+set -x
#repos=$(find vendor/easyengine -type d -name 'features')
sub_commands=(
@@ -8,6 +10,8 @@
vendor/easyengine/site-type-wp/features
)
+export COMPOSE_INTERACTIVE_NO_CLI=1
+
for command in "${sub_commands[@]}"; do
IFS='/' read -r -a array ... | bash |
d_bash_2130 | ---
+++
@@ -4,26 +4,15 @@
}
commit_outputs () {
- pushd ..
- aws --output text ssm get-parameters --names buildkite-id-rsa --with-decryption --query 'Parameters[0].Value' >id_rsa
- chmod 600 id_rsa
-
- if [ -d quicktype-outputs ] ; then
- rm -rf quicktype-outputs
+ if [ "${FIXTURE:=none}" !=... | bash |
d_bash_2131 | ---
+++
@@ -11,7 +11,7 @@
. ${PROGDIR}/scripts/functions-tests.sh
# Installl modules
-# pip install requests
+pip install requests
#################################################################
# Run the tests now! | bash |
d_bash_2132 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/sh
+
+trap 'exit' ERR
mkdir build
pushd build
@@ -15,7 +17,6 @@
if [[ "$RELEASE_BUILD" == "1" ]]; then
echo "Not running tests on release build"
else
- trap 'exit' ERR
./build/bin/renderdoccmd test unit
./build/bin/qrenderdoc.app/Contents/MacOS/qrenderdoc --unittest
fi | bash |
d_bash_2133 | ---
+++
@@ -18,8 +18,7 @@
setBzip2TriggerVars() {
BZIP2_BLDRVERSION=${BZIP2_BLDRVERSION:-"1.0.6"}
if test -z "$BZIP2_BUILDS"; then
- if [[ `uname` =~ CYGWIN ]]; then
- # BZIP2_BUILDS=ser,sermd
+ if [[ `uname` =~ CYGWIN ]] || ! which bunzip2 1>/dev/null 2>&1; then
BZIP2_BUILDS=ser
fi
f... | bash |
d_bash_2134 | ---
+++
@@ -1,5 +1,5 @@
alias reload!='. ~/.zshrc'
-alias upall='git pull && bundle && bin/yarn && rake db:migrate parallel:prepare'
+alias upall='git pull && bundle && bin/yarn && rake db:migrate'
alias cdd='cd ~/Desktop'
alias privdrop='encfs ~/Dropbox/private.encfs ~/private_box'
alias bpkeys='encfs ~/Google\ ... | bash |
d_bash_2135 | ---
+++
@@ -11,6 +11,7 @@
local title="${*}"
local projectIdentifier="$(__get_project_identifier)"
local taskNumber="$(__get_task_number)"
+ local finalTitle
if [ -z "${projectIdentifier}" ]; then
err "Could not determine project identifier."
@@ -23,7 +24,10 @@
return 3
fi
... | bash |
d_bash_2136 | ---
+++
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
set -e
-if which dnf; then
+if [[ -f /usr/bin/dnf ]]; then
dnf install -y dnf-plugins-core cmake git rpm-build make which
else
yum install -y cmake git rpm-build yum-utils make which | bash |
d_bash_2137 | ---
+++
@@ -3,10 +3,13 @@
# OSX-only stuff. Abort if not OSX.
[[ "$OSTYPE" =~ ^darwin ]] || return 1
-# node
-path+=(/Users/ejoubaud/node_modules/.bin /usr/local/share/npm/bin)
-
# go
export GOPATH=~/.go
export GOBIN=$GOPATH/bin
path+=($GOBIN)
+
+# rbenv
+export PATH="$HOME/.rbenv/shims:$PATH"
+
+#nodenv
+exp... | bash |
d_bash_2138 | ---
+++
@@ -17,7 +17,7 @@
./script/run_carton.sh install YAML::Syck
# Install BerkeleyDB correctly before installing the remaining modules from carton.lock
- BERKELEYDB_INCLUDE=/usr/local/include/db44 \
+ BERKELEYDB_INCLUDE=/usr/local/include \
BERKELEYDB_LIB=/usr/local/lib \
./script/run_carton.sh install ... | bash |
d_bash_2139 | ---
+++
@@ -13,7 +13,8 @@
# (this only happens after that StackStorm release)
if [[ $CIRCLE_TAG =~ ^v(.+)$ ]]; then
ST2_TAG=${BASH_REMATCH[1]}
- docker build --build-arg ST2_TAG=${ST2_TAG} -t stackstorm/stackstorm:${ST2_TAG} images/stackstorm
+ docker build --build-arg ST2_TAG=${ST2_TAG} --build-arg ST2_DOCKER... | bash |
d_bash_2140 | ---
+++
@@ -13,7 +13,7 @@
-e DOCKER_HOST=tcp://172.17.42.1:12375 \
-v /tmp:/tmp \
-v /var/run/docker.sock:/var/run/docker.sock \
- joffrey/docker-py python tests/integration_test.py ; then
+ joffrey/docker-py py.test tests/integration_test.py ; then
assert_raises "true"
else
assert_rai... | bash |
d_bash_2141 | ---
+++
@@ -1,4 +1,8 @@
#!/bin/sh
+
+# Force a DNS update
+echo "dns-nameservers 8.8.8.8" >> /etc/network/interfaces
+service network-interface restart INTERFACE=eth0
# if the proxy is around, use it
nc -z -w3 192.168.1.1 8123 && export http_proxy="http://192.168.1.1:8123" | bash |
d_bash_2142 | ---
+++
@@ -13,5 +13,5 @@
-DCMAKE_VERBOSE_MAKEFILE=OFF \
..
-make -j
+make -j ${CPU_COUNT}
make install | bash |
d_bash_2143 | ---
+++
@@ -7,7 +7,7 @@
sudo echo '';
commands=$(echo \
-'sudo sync
+'sync
swapoff -a
echo 1 > /proc/sys/vm/drop_caches
echo 2 > /proc/sys/vm/drop_caches | bash |
d_bash_2144 | ---
+++
@@ -2,4 +2,6 @@
if [ synclient=$(which synclient) -a -x $synclient];then
# 2 finger scroll
synclient HorizTwoFingerScroll=1 VertTwoFingerScroll=1 EmulateTwoFingerMinZ=40 EmulateTwoFingerMinW=8 2>/dev/null
+ # Palm rejection
+ synclient PalmDetect=1 PalmMinWidth=6 PalmMinZ=100
fi | bash |
d_bash_2145 | ---
+++
@@ -2,6 +2,7 @@
if [ "$(tr '[:upper:]' '[:lower:]' <<<"$NODE_ENV")" = "production" ]; then
npm run build:prod
+ git rev-parse HEAD >.build/revision
fi
| bash |
d_bash_2146 | ---
+++
@@ -18,7 +18,7 @@
# matlab -nodisplay -nodesktop -nosplash -nojvm -r "${n}run('calcpi.m');quit;"
matlab -singleCompThread -nodisplay -nodesktop -nosplash -nojvm -r "${n}run('calcpi.m');quit;"
elif [ "$ocsuccess" == "0" ] ; then
- octave --no-gui --silent --eval "${n}run('calcpi.m');"
+ octave --no-gui... | bash |
d_bash_2147 | ---
+++
@@ -3,7 +3,9 @@
VIOLATING_FILES=$(goimports -local github.com/sapcc/kubernikus -l $@ | sed /generated/d)
if [ -n "$VIOLATING_FILES" ]; then
- echo "Go code is not formatted:"
- goimports -e -d $@
+ echo "Go code is not formatted in these files:"
+ echo "$VIOLATING_FILES"
+ echo "Offending lines:"
+ ... | bash |
d_bash_2148 | ---
+++
@@ -1,4 +1,18 @@
#!/bin/sh
+
+# Copyright 2011 Google Inc. All Rights Reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE... | bash |
d_bash_2149 | ---
+++
@@ -1,12 +1,5 @@
#!/bin/bash
-
-##########################################
-# Check for the Chef SDK
-#
-if [ -z "$(which chef-apply)" ]; then
- wget https://opscode-omnibus-packages.s3.amazonaws.com/ubuntu/12.04/x86_64/chefdk_0.9.0-1_amd64.deb \
- | sudo dpkg -i chefdk_0.9.0-1_amd64.deb
-fi
+sudo apt-... | bash |
d_bash_2150 | ---
+++
@@ -1,12 +1,10 @@
eval "$(npm completion 2>/dev/null)"
-
-
-# npm package names are lowercase
-# - https://twitter.com/substack/status/23122603153150361
-# Thus, we've used camelCase for the following aliases:
# Install dependencies globally
alias npmg="npm i -g "
+
+# npm package names are lowercase
+# ... | bash |
d_bash_2151 | ---
+++
@@ -18,7 +18,7 @@
cd "$srcdir"
gettextize --copy --force --intl
$libtoolize --copy --force
-aclocal
+aclocal -I m4
autoheader
automake -a -c
autoconf | bash |
d_bash_2152 | ---
+++
@@ -12,6 +12,9 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+# Set dpkg to do non-interactive installs
+export DEBIAN_FRONTEND=noninteractive
+
# Install Ansible
sudo apt-get update
sudo apt-get install -y ansible | bash |
d_bash_2153 | ---
+++
@@ -29,4 +29,8 @@
echo ">>> eslint (js)"
cd /app/webapp-django
/webapp-frontend-deps/node_modules/.bin/eslint .
+
+ echo ">>> pip check"
+ cd /app
+ pip check --disable-pip-version-check
fi | bash |
d_bash_2154 | ---
+++
@@ -17,9 +17,14 @@
}
dst_node=$2
dbs="keystone nova heat neutron glance cinder"
- ssh $src_node "mysqldump --lock-all-tables --add-drop-database --databases $dbs" \
- | gzip | tee dbs.original.sql.gz \
- | ssh $dst_node "zcat | mysql"
+ dbs_tuple=$(echo $dbs | sed -re "s%^%'... | bash |
d_bash_2155 | ---
+++
@@ -17,15 +17,16 @@
function rvm_prompt() {
if [[ -n "$rvm_version" ]]; then
local rvm_color="${PR_GREEN}"
- if [[ -z "$rvm_env_string" ]]; then
- rvm_color="${PR_RED}system"
+ local rvm_version=`rvm current`
+ if [[ "$rvm_version" == "system" ]]; then
+ rvm_color="${PR_RED}"
... | bash |
d_bash_2156 | ---
+++
@@ -4,7 +4,7 @@
PROFILES=(ct-mgmt-admin ct-log-admin ct-audit-admin ct-netw-admin ct-sharedsvc-admin ct-sbx-admin ct-qa-admin ct-demo-admin)
for aws_profile in "${PROFILES[@]}"; do
echo "Setting AWS profile: ${aws_profile}"
- aws sso login --profile ${aws_profile}
+ aws sso login --profile ${aws_profil... | bash |
d_bash_2157 | ---
+++
@@ -11,4 +11,8 @@
_syncMyDotFiles mail/files
+echo "Decrypt notmuch post hook to tag emails"
+keybase decrypt -i ~/Mail/.notmuch/hooks/post-new.keybase -o ~/Mail/.notmuch/hooks/post-new
+
+echo "Import new emails"
notmuch new | bash |
d_bash_2158 | ---
+++
@@ -1,56 +1,37 @@
#!/usr/bin/bash
-if [ $USER != "root" ]
-then
+if [ $USER != "root" ]; then
echo "need root to do this"
exit 1
fi
-if [ -d sandbox ]
-then
- echo "sandbox/ exists, bailing"
- exit 1
-fi
-
set -o errexit -o nounset -o pipefail
-
-cd "${BASH_SOURCE%/*}"
-
umask 022
-m... | bash |
d_bash_2159 | ---
+++
@@ -2,7 +2,8 @@
# $Id$
-TCLSH=/usr/fa/bin/tclsh8.4
+#TCLSH=/usr/fa/bin/tclsh8.4
+TCLSH=/usr/local/bin/tclsh8.4
echo + ${TCLSH} test.ct
${TCLSH} test.ct
@@ -35,6 +36,7 @@
fi
done
+sleep 5
if kill -0 $pid 2>/dev/null
then
echo "# Server not shut down properly" | bash |
d_bash_2160 | ---
+++
@@ -6,9 +6,9 @@
bosh login $BOSH_USERNAME $BOSH_PASSWORD
bosh download manifest $DEPLOYMENT_NAME $BITS_SERVICE_MANIFEST
+ # TODO: `grep bits-service` again, once bits-service is not co-located on api anymore
export BITS_SERVICE_PRIVATE_ENDPOINT_IP=$(
bosh vms ${DEPLOYMENT_NAME} \
- # TODO: grep for ... | bash |
d_bash_2161 | ---
+++
@@ -1,3 +1,17 @@
#!/bin/bash -e
+# Copyright 2018 Google LLC
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unles... | bash |
d_bash_2162 | ---
+++
@@ -31,6 +31,10 @@
${1:+$@} \
$srcdir/$part/$part.tex || exit $?
+# copy in the stylesheet
+echo "cp $srcdir/html/style.css $part/$part.css"
+cp $srcdir/html/style.css $part/$part.css || exit $?
+
echo "(cd $part; $srcdir/tools/node2label.pl \*.html)"
cd $part
$srcdir/tools/node2label.pl *.html || ex... | bash |
d_bash_2163 | ---
+++
@@ -8,12 +8,15 @@
echo "Gathering build details in ${SRCROOT}"
cd ${SRCROOT}
-rev=$(git rev-parse HEAD)
-branch=$(git branch | grep \* | cut -d ' ' -f2-)
plist="${BUILT_PRODUCTS_DIR}/${INFOPLIST_PATH}"
-plutil -replace com-loopkit-Loop-git-revision -string ${rev} "${plist}"
-plutil -replace com-loopkit... | bash |
d_bash_2164 | ---
+++
@@ -1,9 +1,6 @@
#!/bin/bash -ex
cd $(dirname $0)/../../bits-service-deployment-manifest-generation-tools
-
-bosh -u x -p x target $BOSH_TARGET
-bosh login $BOSH_USERNAME $BOSH_PASSWORD
export SPRUCE_FILE_BASE_PATH=../ci-tasks/manifests
| bash |
d_bash_2165 | ---
+++
@@ -28,6 +28,8 @@
# TODO: See if it's possible to stop in previous release
#git log v2.1.0...v2.1.1 --pretty=format:'<li> <a href="http://github.com/jeslopalo/<project>/commit/%H">view commit •</a> %s</li> ' --reverse | grep "#changelog"
+echo -e "New command: git authors"
+git config alias.authors '... | bash |
d_bash_2166 | ---
+++
@@ -15,11 +15,9 @@
fi
if [[ "$WATIR_WEBDRIVER_BROWSER" = "phantomjs" ]]; then
- curl -L -O "https://dl.dropbox.com/u/2731643/phantomjs/phantomjs-latest.tar.bz2"
- mkdir phantomjs
- tar -xvjf phantomjs-latest.tar.bz2 -C phantomjs
- cat phantomjs/phantomjs.version
- chmod +x phantomjs/phantomjs
- sudo... | bash |
d_bash_2167 | ---
+++
@@ -22,6 +22,9 @@
alias grr='git remote rm'
alias gcl='git clone'
+# Autocomplete for 'g' as well
+complete -o default -o nospace -F _git g
+
# OSX-specific Git shortcuts
if [[ "$OSTYPE" =~ ^darwin ]]; then
alias gdk='git ksdiff' | bash |
d_bash_2168 | ---
+++
@@ -16,4 +16,5 @@
alias mpaste='reattach-to-user-namespace pbpaste'
alias ctt='cp ~/.tmux.sh.example .tmux.sh'
alias ag='ack -H --smart-case --column --ignore-dir=.binstubs --ignore-dir=vendor --ignore-dir=log --ignore-dir=tmp --ignore-file=is:Session.vim'
+alias vs='vim -S Session.vim'
gi() { gem install... | bash |
d_bash_2169 | ---
+++
@@ -15,7 +15,7 @@
local data=$(git branch | awk -F ' +' '! /\(no branch\)/ {print $2}')
COMPREPLY=( $(compgen -W "${data}" ${cur}) )
return 0 ;;
- accept-work)
+ accept-work|obtain-work)
COMPREPLY=(
$(compgen -W "$(git branch -... | bash |
d_bash_2170 | ---
+++
@@ -6,6 +6,6 @@
COMPLETION_WAITING_DOTS="true"
# Which plugins would you like to load? (plugins can be found in ~/.oh-my-zsh/plugins/*)
-plugins=(colored-man-pages command-not-found docker docker-compose heroku history-substring-search osx vi-mode web-search z)
+plugins=(colored-man-pages command-not-foun... | bash |
d_bash_2171 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
set -e
-version="20.10.11"
+version="20.10.12"
echo "https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz"; | bash |
d_bash_2172 | ---
+++
@@ -16,7 +16,7 @@
find . -maxdepth 1 ! -name '.git' ! -name '.' -exec rm -r {} \;
-cp -r $DIR/{bundle.js,index.html,style.css,images} ./
+cp -r $DIR/{bundle.js,index.html,style.css,images,CNAME} ./
git add --all
| bash |
d_bash_2173 | ---
+++
@@ -1 +1 @@
-alias antivirus-check='freshclam ; for folder in `find / -maxdepth 1 -type d -print | grep -v "^/$"` ; do clamscan -r --bell -i -r $folder ; echo "Analyzed folder $folder" ; done'
+alias antivirus-check='freshclam ; for folder in `find / -maxdepth 1 -type d -print | grep -v "^/$"` ; do clamscan -... | bash |
d_bash_2174 | ---
+++
@@ -5,4 +5,4 @@
#NETDEV=${NETDEV-tap,id=vmnet0,script=no,ifname=tap0,downscript=no}
# New syntax required if using -machine q35
#CD="-drive file=$ISO,if=none,media=cdrom,id=cd1 -device ide-cd,drive=cd1"
-${KVM-kvm} -cpu SandyBridge -smp 2 -m 32M $VGA "$@" -cdrom $ISO -netdev $NETDEV -device e1000,netdev=vm... | bash |
d_bash_2175 | ---
+++
@@ -9,5 +9,6 @@
do
url_key=$(echo $path_key | sed 's/\.path/.url/')
url=$(git config -f .gitmodules --get "$url_key")
+ rm -rf $path
git submodule add $url $path
done | bash |
d_bash_2176 | ---
+++
@@ -6,5 +6,5 @@
alias vi='nvim'
alias gh='p'
alias h='heroku'
-alias hs='heroku sudo'
+alias hs='heroku sudo --reason="Debugging"'
alias ic='ion-client' | bash |
d_bash_2177 | ---
+++
@@ -8,7 +8,7 @@
python manage.py shell <<EOF
from django.contrib.auth.models import User
User.objects.filter(email='$ADMIN_EMAIL').delete()
-User.objects.create_superuser('$ADMIN_EMAIL', '$ADMIN_USERNAME', '$ADMIN_PASSWORD')
+User.objects.create_superuser('$ADMIN_USERNAME', '$ADMIN_EMAIL', '$ADMIN_PASSWORD... | bash |
d_bash_2178 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
# Spigot Resource File for SpigotMC Resource Downloads
-# Run this file with execution privileges.
+# Run this file with execution privileges.
su -c 'cd /tmp&&wget --no-check-certificate -O srsi.tar.gz https://github.com/WASasquatch/srsi/archive/master.tar.gz&&mkdir srsi &>/dev... | bash |
d_bash_2179 | ---
+++
@@ -33,7 +33,7 @@
# assume Ubuntu
sudo apt-get --assume-yes install \
- postgresql-8.4 postgresql-client-8.4 postgresql-plperl-8.4 postgresql-server-dev-8.4
+ postgresql-8.4 postgresql-client-8.4 postgresql-contrib-8.4 postgresql-plperl-8.4 postgresql-server-dev-8.4
fi
| bash |
d_bash_2180 | ---
+++
@@ -8,18 +8,14 @@
#
set -x #echo on
-# Fetch and mvoe to the right place the cone finder
-mkdir -p ~/tmp
-cd ~/tmp
+# Fetch and mvoe to the right place the cone finder
+cd ~/catkin_ws/src
git clone https://github.com/ProgrammingRobotsStudyGroup/TrafficConeFinderCode.git
-cd TrafficConeFinderCode
-./ins... | bash |
d_bash_2181 | ---
+++
@@ -2,8 +2,8 @@
cd rh-devsuite-repo
curl http://${DOWNLOAD_HOST}/devel/candidates/jboss/devstudio/devsuite-1.4.0.TP/rpms/signed/rh-devsuite-1.4.0-1.el7.x86_64.rpm -O
curl http://${DOWNLOAD_HOST}/devel/candidates/jboss/devstudio/devstudio-10.4.0.GA/rpms/signed/rh-eclipse46-devstudio-10.4-0.20170511.1856.el7... | bash |
d_bash_2182 | ---
+++
@@ -1,4 +1,4 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
ROOT_DIR=/stroom
BIND_MOUNT_CONFIG_FILE="${ROOT_DIR}/config/config.yml"
@@ -6,7 +6,7 @@
main() {
local dropwizard_command="${1:-server}"; shift
- local dropwizard_command_args="$@"
+ local dropwizard_command_args=( "$@" )
# To allow us t... | bash |
d_bash_2183 | ---
+++
@@ -3,19 +3,27 @@
# Run a 'drush cc all' for a specified site.
# This is a simple wrapper script that can be added to sudo config
# so that the deploy user can run a cache clear as the Apache/web user.
+# For d8 sites, this will call 'cache-rebuild' if you pass the -r flag.
usage() {
- echo "usage: $0 ... | bash |
d_bash_2184 | ---
+++
@@ -5,6 +5,8 @@
#
# Author Kannan Thambiah <pygospa@gmail.com>
# Lates Version github.com/pygospa/dotfiles
+# License CC BY-SA 4.0, if applicable and compatible to software
+# license
| bash |
d_bash_2185 | ---
+++
@@ -4,6 +4,7 @@
./virtualfb.sh
glxinfo -display `cat virtualfb.DISPLAY`
+./virtualfb.sh
if [[ $? != 0 ]]; then
echo "Test failure" | bash |
d_bash_2186 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
#
# Author: Petr Zemek <s3rvac@gmail.com>
# | bash |
d_bash_2187 | ---
+++
@@ -10,7 +10,7 @@
module="${mod}-${ver}"
BUILD_DIR=`pwd`/.build
export PATH="${BUILD_DIR}/gir2swift/.build/release:${BUILD_DIR}/gir2swift/.build/debug:${PATH}"
-LINKFLAGS=`pkg-config --libs $module gdk-$ver pangocairo pangoft2 pango gobject-2.0 gio-unix-2.0 glib-2.0 | tr ' ' '\n' | sed 's/^/-Xlinker /' | t... | bash |
d_bash_2188 | ---
+++
@@ -5,8 +5,11 @@
cat <<EOF
/system/app/Provision.apk
/system/app/QuickSearchBox.apk
-/system/app/SetupWizard.apk
+/system/app/priv-app/SetupWizard.apk
+/system/app/priv-app/Velvet.apk
/system/app/Vending.apk
+/system/app/BrowserProviderProxy.apk
+/system/app/PartnerBookmarksProvider.apk
EOF
}
| bash |
d_bash_2189 | ---
+++
@@ -13,5 +13,16 @@
VIMPATH='vimdiff'
fi
-$VIMPATH '+windo set diff scrollbind scrollopt+=hor nowrap' -c 'au VimLeave * !open -a iTerm' $@
+if [ "$TERM_PROGRAM" = "Apple_Terminal" ];
+then
+ $VIMPATH '+windo set diff scrollbind scrollopt+=hor nowrap' -c 'au VimLeave * !open -a Terminal' $@
+elif [ "$T... | bash |
d_bash_2190 | ---
+++
@@ -21,6 +21,7 @@
$(dirname $0)/sync-postgresql.sh "$@" transition-postgresql-master-1.backend.preview
$(dirname $0)/sync-elasticsearch.sh "$@" elasticsearch-1.backend.preview
+$(dirname $0)/sync-elasticsearch.sh "$@" api-elasticsearch-1.api.preview
status "Munging Signon db tokens for dev VM"
if [[ -... | bash |
d_bash_2191 | ---
+++
@@ -15,7 +15,6 @@
exec /hyperkube apiserver ${args} \
--advertise-address="${weave_ip}" \
- --admission-control=NamespaceLifecycle,NamespaceExists,LimitRanger,SecurityContextDeny,ServiceAccount,ResourceQuota \
--external-hostname="kube-apiserver.weave.local" \
--etcd-servers="${etcd_cluster}" \
... | bash |
d_bash_2192 | ---
+++
@@ -12,9 +12,6 @@
# Make sure there's no old pyc files around.
find . -name '*.pyc' -exec rm {} \;
-# RHEL postgres 9 RPM installs pg_config here, psycopg2 needs it
-export PATH=$PATH:/usr/pgsql-9.2/bin/
-
echo "Linting..."
git ls-files crashstats | xargs check.py | bin/linting.py
| bash |
d_bash_2193 | ---
+++
@@ -1,10 +1,16 @@
#!/bin/bash
-
-QT_VERSION="5.2.1"
+if [ $# -eq 0 ]
+then
+ QT_VERSION="5.2.1"
+ QT_PATH=${QT_VERSION}/${QT_VERSION}
+else
+ QT_VERSION=$1
+ QT_PATH=${QT_VERSION}/${QT_VERSION:0:3}
+fi
rm /usr/bin/qmake
-echo "Creating a new link"
-if ln -s ${HOME}/Qt${QT_VERSION}/${QT_VERSION}/clang_64/b... | bash |
d_bash_2194 | ---
+++
@@ -13,5 +13,5 @@
echo "*** Start Build ***"
echo "Peforming build"
-$MAVEN_HOME/bin/mvn -U -s settings.xml install -Pinteg -Pdist -e
+$MAVEN_HOME/bin/mvn -U -s build-support/settings.xml install -Pinteg -Pdist -e
| bash |
d_bash_2195 | ---
+++
@@ -3,7 +3,7 @@
ret=0;
for path in `find test -name tslint.json`; do
echo "testing $path ..."
- tslint -r ./dist/rules --test $path/..
+ tslint -r ./build/rules --test $path/..
val=$?
if [ "$val" -ne "0" ]; then
ret=$val | bash |
d_bash_2196 | ---
+++
@@ -4,5 +4,5 @@
# build-extras profiles and any settings in our settings file.
if [ "$TRAVIS_BRANCH" = 'master' ] && [ "$TRAVIS_PULL_REQUEST" == 'false' ]; then
- mvn deploy -P sign,build-extras --settings travis-ci/settings.xml
+ mvn deploy -P sign,build-extras --settings travis-ci/settings.xml || ... | bash |
d_bash_2197 | ---
+++
@@ -11,8 +11,8 @@
# install prog AND tests requirements :
pip3 install -r requirements.txt
-pip2.7 install -v --install-option="--prefix=/home/travis/.local/" gi
-export PATH=$PATH:/home/travis/.local/
+pip2.7 install -v --user --install-option="--prefix=/home/travis/.local/" gi
+export PATH=$PATH:/home/t... | bash |
d_bash_2198 | ---
+++
@@ -47,4 +47,6 @@
rails generate rspec:install
-
+git init .
+git add . -A
+git ci -m 'Initial commit' | bash |
d_bash_2199 | ---
+++
@@ -1,7 +1,18 @@
-wget -c -t 10 http://www.mrao.cam.ac.uk/projects/ska/arl/algorithm-reference-library.sip.20180605.tar.gz
-tar xvzf algorithm-reference-library.sip.20180605.tar.gz && rm -f algorithm-reference-library.sip.20180605.tar.gz
-mkdir -p results
-docker build -f dockerfiles/Dockerfile.pipeline_bind ... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.